Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/stratosphere_mask.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/stratosphere_mask.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/stratosphere_mask.F90	(revision 5116)
@@ -97,5 +97,5 @@
 
 IF (ifil>0 .AND. prt_level >5) THEN
-  write(lunout,*)'Tropopause: number of undetermined values =', ifil
+  WRITE(lunout,*)'Tropopause: number of undetermined values =', ifil
 ENDIF
 
@@ -178,6 +178,6 @@
        pmk2 = .5 * (p(jj-1)**rkappa+p(jj)**rkappa)    ! p mean ^kappa
        pm2 = pmk2**(1/rkappa)                      ! p mean
-       if(pm2>ptph) go to 110                ! doesn't happen
-       if(pm2<p2km) go to 888                ! ptropo is valid
+       IF(pm2>ptph) go to 110                ! doesn't happen
+       IF(pm2<p2km) go to 888                ! ptropo is valid
 
        a2 = (t(jj-1)-t(jj))                     ! a
@@ -227,5 +227,5 @@
 ZTRP = ZS + TDLNP*RD/RG
 
-!!if (ZTRP .lt. 0) then
+!!if (ZTRP .lt. 0) THEN
 !!  PRINT*,'ZTRP=',ZTRP
 !!  PRINT*,'PS=',PS
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/suphel.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/suphel.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/suphel.F90	(revision 5116)
@@ -76,7 +76,7 @@
   WRITE (UNIT=6, FMT='(''  sideral day = '',E13.7,'' s'')') rsiday
   WRITE (UNIT=6, FMT='(''        omega = '',E13.7,'' s-1'')') romega
-  ! write(unit=6,fmt='('' excentricite = '',e13.7,''-'')')R_ecc
-  ! write(unit=6,fmt='(''     equinoxe = '',e13.7,''-'')')R_peri
-  ! write(unit=6,fmt='(''  inclinaison = '',e13.7,''-'')')R_incl
+  ! WRITE(unit=6,fmt='('' excentricite = '',e13.7,''-'')')R_ecc
+  ! WRITE(unit=6,fmt='(''     equinoxe = '',e13.7,''-'')')R_peri
+  ! WRITE(unit=6,fmt='(''  inclinaison = '',e13.7,''-'')')R_incl
 
   ! ------------------------------------------------------------------
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_bucket_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_bucket_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_bucket_mod.F90	(revision 5116)
@@ -126,5 +126,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-        !write(*,*) 'surf_land_bucket 152'
+        !WRITE(*,*) 'surf_land_bucket 152'
         DO i=1,knon
           IF (iso_eau > 0) THEN
@@ -144,5 +144,5 @@
           ENDDO !do ixt=1,niso
         ENDDO !do i=1,knon
-        !write(*,*) 'surf_land_bucket 152'
+        !WRITE(*,*) 'surf_land_bucket 152'
 #endif
 #endif
@@ -162,5 +162,5 @@
 ! calculate constants
     CALL calbeta(dtime, is_ter, knon, snow, qsol, beta, capsol, dif_grnd)
-    if (type_veget=='betaclim') then
+    if (type_veget=='betaclim') THEN
        CALL calbeta_clim(knon,jour,latitude(knindex(1:knon)),beta)
     endif
@@ -198,5 +198,5 @@
    ! verif
 #ifdef ISOVERIF
-    !write(*,*) 'surf_land_bucket 211'
+    !WRITE(*,*) 'surf_land_bucket 211'
     DO i=1,knon
       IF (iso_eau > 0) THEN
@@ -204,5 +204,5 @@
              snow(i),'surf_land_bucket 522', &
              errmax,errmaxrel)
-      ENDIF !IF (iso_eau > 0) then
+      ENDIF !IF (iso_eau > 0) THEN
     ENDDO !DO i=1,knon 
 #endif
@@ -223,5 +223,5 @@
     ENDDO !DO i=1,knon 
 #ifdef ISOVERIF
-    ! write(*,*) 'surf_land_bucket 235'
+    ! WRITE(*,*) 'surf_land_bucket 235'
     DO i=1,knon  
       IF (iso_eau > 0) THEN
@@ -253,5 +253,5 @@
 #endif
 #ifdef ISOVERIF
-        !write(*,*) 'surf_land_bucket 235'
+        !WRITE(*,*) 'surf_land_bucket 235'
         DO i=1,knon
           IF (iso_eau > 0) THEN
@@ -265,6 +265,6 @@
              ! xtsnow
              ! c'est fait plus tard dans gestion_neige
-!            write(*,*) 'surf_land_bucket 287: i=',i
-!            write(*,*) 'snow(i)=',snow(i)
+!            WRITE(*,*) 'surf_land_bucket 287: i=',i
+!            WRITE(*,*) 'snow(i)=',snow(i)
             CALL iso_verif_egalite_choix(xtsnow(iso_eau,i), &
                                      snow_prec(i),'surf_land_bucket 245', &
@@ -279,6 +279,6 @@
           ENDIF !IF ((iso_O17 > 0).AND.(iso_O18 > 0)) THEN
         ENDDO  !DO i=1,knon 
-        !write(*,*) 'surf_land_mod 291'
-        !write(*,*) 'snow_evap_diag(1)=',snow_evap_diag(1)
+        !WRITE(*,*) 'surf_land_mod 291'
+        !WRITE(*,*) 'snow_evap_diag(1)=',snow_evap_diag(1)
 #endif          
         CALL calcul_iso_surf_ter_vectall(klon,knon, &
@@ -293,5 +293,5 @@
      )
 !#ifdef ISOVERIF
-!        write(*,*) 'surf_land_bucket 303'
+!        WRITE(*,*) 'surf_land_bucket 303'
 !#endif
 #endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_mod.F90	(revision 5116)
@@ -164,5 +164,5 @@
       real, dimension(klon) :: snow_evap_diag 
       real, dimension(klon) :: fqcalving_diag 
-      integer :: ixt
+      INTEGER :: ixt
 #endif 
 !****************************************************************************************
@@ -177,7 +177,7 @@
 #ifdef ISO
 #ifdef ISOVERIF
-!        write(*,*) 'surf_land_mod 162'
+!        WRITE(*,*) 'surf_land_mod 162'
         do i=1,knon
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(precip_snow(i), &
             xtprecip_snow(iso_eau,i),'surf_land_mod 129', &
@@ -190,5 +190,5 @@
 #endif 
 #ifdef ISOVERIF
-!       write(*,*) 'surf_land 169: ok_veget=',ok_veget
+!       WRITE(*,*) 'surf_land 169: ok_veget=',ok_veget
         do i=1,knon
          do ixt=1,ntiso
@@ -250,10 +250,10 @@
 #ifdef ISO
 #ifdef ISOVERIF
-     write(*,*) 'surf_land 193: apres surf_land_orchidee'   
+     WRITE(*,*) 'surf_land 193: apres surf_land_orchidee'
      do i=1,knon
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(xtevap(iso_eau,i),evap(i), &
               'surf_land 197',errmax,errmaxrel)
-        endif !if (iso_eau.gt.0) then      
+        endif !if (iso_eau.gt.0) THEN
       enddo !do i=1,knon  
 #endif
@@ -273,5 +273,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-!       write(*,*) 'surf_land 247'
+!       WRITE(*,*) 'surf_land 247'
         CALL iso_verif_egalite_vect1D( &
              xtsnow,snow,'surf_land_mod 207',niso,klon)
@@ -280,8 +280,8 @@
 
 #ifdef ISO
-        if (nudge_qsol.eq.1) then
+        if (nudge_qsol.eq.1) THEN
           CALL surf_land_nudge_qsol(knon,rlat,rlon,qsol,xtsol,knindex)
         endif
-        !write(*,*) 'surf_land 258'
+        !WRITE(*,*) 'surf_land 258'
 #endif
        CALL surf_land_bucket(itime, jour, knon, knindex, debut, dtime,&
@@ -322,10 +322,10 @@
 #ifdef ISO
 #ifdef ISOVERIF
-!     write(*,*) 'surf_land 237: sortie'   
+!     WRITE(*,*) 'surf_land 237: sortie'
       DO i=1,knon
         IF (iso_eau >= 0) THEN
              CALL iso_verif_egalite_choix(xtsnow(iso_eau,i),snow(i), &
               'surf_land 241',errmax,errmaxrel)
-        ENDIF !if (iso_eau.gt.0) then      
+        ENDIF !if (iso_eau.gt.0) THEN
       ENDDO !do i=1,knon  
 #endif
@@ -391,8 +391,8 @@
     ENDIF
 
-!    write(*,*) 'surf_land 314: knon=',knon
-!    write(*,*) 'rlat=',rlat
-!    write(*,*) 'rlon=',rlon
-!    write(*,*) 'region_nudge_qsol=',region_nudge_qsol
+!    WRITE(*,*) 'surf_land 314: knon=',knon
+!    WRITE(*,*) 'rlat=',rlat
+!    WRITE(*,*) 'rlon=',rlon
+!    WRITE(*,*) 'region_nudge_qsol=',region_nudge_qsol
 
     DO i=1,knon
@@ -401,5 +401,5 @@
          (rlon(knindex(i)) >= lon_min_nudge_qsol).and. &
          (rlon(knindex(i)) <= lon_max_nudge_qsol)) THEN
-!        write(*,*) 'surf_land 324: bon domaine: rlat,rlon,qsol=', &
+!        WRITE(*,*) 'surf_land 324: bon domaine: rlat,rlon,qsol=', &
 !  &             rlat(knindex(i)),rlon(knindex(i)),qsol(knindex(i))
         qsol_new=qsol(i)
@@ -408,9 +408,9 @@
         ELSE IF (region_nudge_qsol == 2) THEN      
            qsol_new=max(qsol(i),120.0)
-        ELSE !if (region_nudge_qsol.eq.1) then
+        ELSE !if (region_nudge_qsol.eq.1) THEN
            WRITE(*,*) 'surf_land 317: cas pas prevu'
            WRITE(*,*) 'region_nudge_qsol=',region_nudge_qsol
            STOP
-        ENDIF !if (region_nudge_qsol.eq.1) then
+        ENDIF !if (region_nudge_qsol.eq.1) THEN
         IF (qsol(i) > 0.0) THEN
            DO ixt=1,niso
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_mod.F90	(revision 5116)
@@ -493,5 +493,5 @@
     !     cdrag = 0.01
     !   endwhere
-    !  write(*,*)'Cdrag = ',minval(cdrag),maxval(cdrag)
+    !  WRITE(*,*)'Cdrag = ',minval(cdrag),maxval(cdrag)
 
     IF (debut) THEN
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nofrein_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nofrein_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nofrein_mod.F90	(revision 5116)
@@ -398,5 +398,5 @@
 !     cdrag = 0.01
 !   endwhere
-!  write(*,*)'Cdrag = ',minval(cdrag),maxval(cdrag)
+!  WRITE(*,*)'Cdrag = ',minval(cdrag),maxval(cdrag)
 
   
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nolic_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nolic_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nolic_mod.F90	(revision 5116)
@@ -490,5 +490,5 @@
 !     cdrag = 0.01
 !   endwhere
-!  write(*,*)'Cdrag = ',minval(cdrag),maxval(cdrag)
+!  WRITE(*,*)'Cdrag = ',minval(cdrag),maxval(cdrag)
 
   
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 5116)
@@ -399,9 +399,9 @@
 !     cdrag = 0.01
 !   endwhere
-!  write(*,*)'Cdrag = ',minval(cdrag),maxval(cdrag)
+!  WRITE(*,*)'Cdrag = ',minval(cdrag),maxval(cdrag)
 
 ! Init Orchidee
 
-!  if (pole_nord) then 
+!  if (pole_nord) THEN
 !    offset=0
 !    ktindex(:)=ktindex(:)+nbp_lon-1
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nounstruct_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nounstruct_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_nounstruct_mod.F90	(revision 5116)
@@ -388,5 +388,5 @@
 !     cdrag = 0.01
 !   endwhere
-!  write(*,*)'Cdrag = ',minval(cdrag),maxval(cdrag)
+!  WRITE(*,*)'Cdrag = ',minval(cdrag),maxval(cdrag)
 
   
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noz0h_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noz0h_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_noz0h_mod.F90	(revision 5116)
@@ -395,5 +395,5 @@
 !     cdrag = 0.01
 !   endwhere
-!  write(*,*)'Cdrag = ',minval(cdrag),maxval(cdrag)
+!  WRITE(*,*)'Cdrag = ',minval(cdrag),maxval(cdrag)
 
   
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_landice_mod.F90	(revision 5116)
@@ -211,5 +211,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-!     write(*,*) 'surf_land_ice 1499'   
+!     WRITE(*,*) 'surf_land_ice 1499'
   DO i=1,knon
     IF (iso_eau > 0) THEN
@@ -381,5 +381,5 @@
 #ifdef ISO
 #ifdef ISOVERIF
-     !write(*,*) 'surf_land_ice 1499'   
+     !WRITE(*,*) 'surf_land_ice 1499'
      DO i=1,knon
        IF (iso_eau > 0) THEN
@@ -433,5 +433,5 @@
       !****************************************************************************************
 
-      if (z0m_landice > 0.) then
+      if (z0m_landice > 0.) THEN
         z0m(1:knon) = z0m_landice
         z0h(1:knon) = z0h_landice
@@ -449,9 +449,9 @@
         coefd = log(z03) - coefc * ta3
         do j = 1, knon
-          if (temp_air(j) < ta1) then
+          if (temp_air(j) < ta1) THEN
             z0m(j) = z01
-          else if (temp_air(j)>=ta1 .and. temp_air(j)<ta2) then
+          else if (temp_air(j)>=ta1 .and. temp_air(j)<ta2) THEN
             z0m(j) = exp(coefa * temp_air(j) + coefb)
-          else if (temp_air(j)>=ta2 .and. temp_air(j)<ta3) then
+          else if (temp_air(j)>=ta2 .and. temp_air(j)<ta3) THEN
             ! if st > 0, melting induce smooth surface
             z0m(j) = exp(coefc * temp_air(j) + coefd)
@@ -473,5 +473,5 @@
       ! this layer
 
-      if (ok_bs) then
+      if (ok_bs) THEN
         fluxbs(:) = 0.
         do j = 1, knon
@@ -484,5 +484,5 @@
         ! 1st step: erosion of fresh snow accumulated during the time step
         do j = 1, knon
-          if (precip_snow(j) > 0.) then
+          if (precip_snow(j) > 0.) THEN
             rhos(j) = rhofresh_bs
             ! blowing snow flux formula used in MAR
@@ -507,5 +507,5 @@
             fluxbs_1(j) = max(-maxerosion, fluxbs_1(j))
 
-            if (precip_snow(j) > abs(fluxbs_1(j))) then
+            if (precip_snow(j) > abs(fluxbs_1(j))) THEN
               ok_remaining_freshsnow(j) = .TRUE.
               bsweight_fresh(j) = 1.
@@ -530,5 +530,5 @@
         ! which depends on surface snow density
         do j = 1, knon
-          if (ok_remaining_freshsnow(j)) then
+          if (ok_remaining_freshsnow(j)) THEN
             fluxbs_2(j) = 0.
           else
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_ocean_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_ocean_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/surf_ocean_mod.F90	(revision 5116)
@@ -28,6 +28,6 @@
             )
 
-    use albedo, only: alboc, alboc_cd
-    use bulk_flux_m, only: bulk_flux
+    use albedo, ONLY: alboc, alboc_cd
+    use bulk_flux_m, ONLY: bulk_flux
     USE dimphy, ONLY: klon, zmasq
     USE surface_data, ONLY: type_ocean
@@ -189,5 +189,5 @@
             snow(i),'surf_ocean_mod 127', &
             errmax,errmaxrel)
-      ENDIF !IF (iso_eau > 0) then
+      ENDIF !IF (iso_eau > 0) THEN
     ENDDO !DO i=1,klon
 #endif      
@@ -378,5 +378,5 @@
     ENDIF
 
-    if (activate_ocean_skin >= 1) then
+    if (activate_ocean_skin >= 1) THEN
       if (type_ocean /= 'couple') sss(:knon) = 35.
       CALL bulk_flux(tkt, tks, taur, dter, dser, t_int, s_int, ds_ns, dt_ns, &
@@ -391,5 +391,5 @@
       delta_sal = s_int - sss(:knon)
 
-      if (activate_ocean_skin == 2) then
+      if (activate_ocean_skin == 2) THEN
         tsurf_new(:knon) = t_int
         if (type_ocean == 'couple') dt_ds = (tks / tkt) * dter
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/traclmdz_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/traclmdz_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/traclmdz_mod.F90	(revision 5116)
@@ -158,5 +158,5 @@
     !!jyg(20130206) : le choix d activation du lessivage est fait dans phytrac avec iflag_lscav
     !!    CALL getin('lessivage',lessivage)
-    !!    if(lessivage) then
+    !!    IF(lessivage) THEN
     !!     PRINT*,'lessivage lsc ON'
     !!    else
@@ -544,5 +544,5 @@
 
     DO it = 1, nbtr
-      IF(radio(it)) then
+      IF(radio(it)) THEN
         DO k = 1, klev
           DO i = 1, klon
@@ -558,5 +558,5 @@
     !======================================================================
 
-    IF (id_o3 /= 0) then
+    IF (id_o3 /= 0) THEN
       lmt_pas = NINT(86400. / pdtphys)
       IF (MOD(nstep - 1, lmt_pas) == 0) THEN
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/tracreprobus_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/tracreprobus_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/tracreprobus_mod.F90	(revision 5116)
@@ -52,5 +52,5 @@
 !    pdt_rep=pdtphys/2.
     niter=pdtphys/pdt_rep
-    write(*,*)'nb d appel de REPROBUS',niter
+    WRITE(*,*)'nb d appel de REPROBUS',niter
     
     DO k = 1, klev
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/vdif_kcay.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/vdif_kcay.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/vdif_kcay.F90	(revision 5116)
@@ -384,5 +384,5 @@
 
       ! abd
-      ! if(ilev.le.57.and.ilev.ge.37) then
+      ! IF(ilev.le.57.and.ilev.ge.37) THEN
       ! PRINT*,'L=',ilev,'   GN=',gn,'  SM=',sm(igrid,ilev)
       ! endif
@@ -533,5 +533,5 @@
       q2(igrid, ilev) = q2cstat
       m(igrid, ilev) = mcstat
-      ! abd       if(ilev.le.57.and.ilev.ge.37) then
+      ! abd       IF(ilev.le.57.and.ilev.ge.37) THEN
       ! PRINT*,'L=',ilev,'   M2=',m2(igrid,ilev),m2cstat,
       ! s     'N2=',n2(igrid,ilev)
@@ -561,5 +561,5 @@
       km(igrid, ilev) = long(igrid, ilev)*q(igrid, ilev)*sm(igrid, ilev)
       ! abd
-      ! if(ilev.le.57.and.ilev.ge.37) then
+      ! IF(ilev.le.57.and.ilev.ge.37) THEN
       ! PRINT*,'L=',ilev,'   GN=',gn,'  SM=',sm(igrid,ilev)
       ! endif
@@ -606,5 +606,5 @@
     ! CALL vdif_q2(dt,g,rconst,plev,temp,km,q2)
     ! do ilev=1,klev+1
-    ! write(iii+49,*) q2(1,ilev),zlev(1,ilev)
+    ! WRITE(iii+49,*) q2(1,ilev),zlev(1,ilev)
     ! enddo
     ! enddo
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/write_bilKP_ave.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/write_bilKP_ave.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/write_bilKP_ave.h	(revision 5116)
@@ -149,5 +149,5 @@
 c
 C
-      if (ok_sync) then
+      if (ok_sync) THEN
         CALL histsync(nid_bilKPave)
       endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/write_bilKP_ins.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/write_bilKP_ins.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/write_bilKP_ins.h	(revision 5116)
@@ -173,5 +173,5 @@
 cIM 280405 END
 C
-      if (ok_sync) then
+      if (ok_sync) THEN
         CALL histsync(nid_bilKPins)
       endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/write_histREGDYN.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/write_histREGDYN.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/write_histREGDYN.h	(revision 5116)
@@ -2,9 +2,6 @@
 ! $Header$
 
-      if (ok_regdyn) then
-      
-      if (is_sequential) then
-
-
+      if (ok_regdyn) THEN
+      if (is_sequential) THEN
       ndex3d = 0
       itau_w = itau_phy + itap + start_time * day_step / iphysiq
@@ -55,5 +52,5 @@
      &               kmaxm1*lmaxm1*iwmax,ndex3d)
 
-      if (ok_sync) then
+      if (ok_sync) THEN
         CALL histsync(nid_regdyn)
       endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/write_histday_seri.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/write_histday_seri.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/write_histday_seri.h	(revision 5116)
@@ -157,5 +157,5 @@
 !=================================================================
 
-      if (ok_sync) then
+      if (ok_sync) THEN
         CALL histsync(nid_day_seri)
       endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/yamada4.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/yamada4.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/yamada4.F90	(revision 5116)
@@ -5,5 +5,5 @@
 
   USE dimphy, ONLY: klev, klon
-  USE phys_local_var_mod, only: wprime
+  USE phys_local_var_mod, ONLY: wprime
   USE yamada_ini_mod, ONLY: new_yamada4, yamada4_num, hboville
   USE yamada_ini_mod, ONLY: prt_level, lunout, pbl_lmixmin_alpha, b1, kap, viscom, viscoh
@@ -231,5 +231,5 @@
         rif(ig, k) = rifc
       END IF
-      IF (new_yamada4) then
+      IF (new_yamada4) THEN
         alpha(ig, k) = max(falpha(rif(ig, k)), seuilalpha)
         sm(ig, k) = max(fsm(rif(ig, k)), seuilsm)
@@ -353,5 +353,5 @@
         END IF
         ! else ! iflag_pbl=9
-        ! if (aa(ig,k)*qpre.gt.0.9) then
+        ! if (aa(ig,k)*qpre.gt.0.9) THEN
         ! q2(ig,k)=(qpre*10.)**2
         ! else
@@ -859,6 +859,6 @@
   USE dimphy, ONLY: klev, klon
   USE yamada_ini_mod, ONLY: l0
-  USE phys_state_var_mod, only: zstd, zsig, zmea
-  USE phys_local_var_mod, only: l_mixmin, l_mix
+  USE phys_state_var_mod, ONLY: zstd, zsig, zmea
+  USE phys_local_var_mod, ONLY: l_mixmin, l_mix
   USE yamada_ini_mod, ONLY: kap, kapb
 
@@ -867,5 +867,5 @@
   ! zsig: pente moyenne de le maille
 
-  USE lmdz_geometry, only: cell_area
+  USE lmdz_geometry, ONLY: cell_area
   ! aire_cell: aire de la maille
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_c.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_c.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_c.F90	(revision 5116)
@@ -134,5 +134,5 @@
 
       okiophys=klon==1
-      if (firstcall) then
+      if (firstcall) THEN
         CALL getin_p('iflag_tke_diff',iflag_tke_diff)
         allocate(l0(klon))
@@ -147,5 +147,5 @@
 
 #ifdef IOPHYS
-IF (okiophys) then
+IF (okiophys) THEN
 CALL iophys_ecrit('q2i',klev,'q2 debut my','m2/s2',q2(:,1:klev))
 CALL iophys_ecrit('kmi',klev,'Kz debut my','m/s2',km(:,1:klev))
@@ -212,5 +212,5 @@
 
 #ifdef IOPHYS
-IF (okiophys) then
+IF (okiophys) THEN
       CALL iophys_ecrit('zlay',klev,'Geop','m',zlay)
       CALL iophys_ecrit('teta',klev,'teta','K',teta)
@@ -277,10 +277,10 @@
 !        n2(ig,k)=0.
          ri=n2(ig,k)/max(m2(ig,k),1.e-10)
-         if (ri<ric) then
+         if (ri<ric) THEN
             rif(ig,k)=frif(ri)
          else
             rif(ig,k)=rifc
          endif
-         if(rif(ig,k)<0.16) then
+         IF(rif(ig,k)<0.16) THEN
             alpha(ig,k)=falpha(rif(ig,k))
             sm(ig,k)=fsm(rif(ig,k))
@@ -300,6 +300,5 @@
 
 !   Mise a jour de l0
-      if (iflag_pbl==8.or.iflag_pbl==10) then
-
+      if (iflag_pbl==8.or.iflag_pbl==10) THEN
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 ! Iterative computation of l0
@@ -347,5 +346,5 @@
 
 #ifdef IOPHYS
-IF (okiophys) then
+IF (okiophys) THEN
 CALL iophys_ecrit('rif',klev,'Flux Richardson','m',rif(:,1:klev))
 CALL iophys_ecrit('m2',klev,'m2 ','m/s',m2(:,1:klev))
@@ -356,5 +355,5 @@
 
 
-IF (iflag_pbl<20) then
+IF (iflag_pbl<20) THEN
       ! For diagnostics only
       RETURN
@@ -393,5 +392,5 @@
  
 #ifdef IOPHYS
-IF (okiophys) then
+IF (okiophys) THEN
       CALL iophys_ecrit('km2',klev,'m2 conserv','m/s',km2(:,1:klev))
       CALL iophys_ecrit('kn2',klev,'n2 conserv','m/s',kn2(:,1:klev))
@@ -451,5 +450,5 @@
 
 #ifdef IOPHYS
-IF (okiophys) then
+IF (okiophys) THEN
 CALL iophys_ecrit('q2b',klev,'KTE inter','m2/s',q2(:,1:klev))
 END IF
@@ -469,5 +468,5 @@
 
 #ifdef IOPHYS
-IF (okiophys) then
+IF (okiophys) THEN
 CALL iophys_ecrit('mixingl',klev,'Mixing length','m',leff(:,1:klev))
 CALL iophys_ecrit('rife',klev,'Flux Richardson','m',rif(:,1:klev))
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_ini_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_ini_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_ini_mod.F90	(revision 5116)
@@ -12,12 +12,12 @@
   REAL :: viscom,viscoh,pbl_lmixmin_alpha
   !$OMP THREADPRIVATE( hboville,viscom,viscoh,pbl_lmixmin_alpha)
-  real :: ric, yun,ydeux,lmixmin,b1,kap,kapb
+  REAL :: ric, yun,ydeux,lmixmin,b1,kap,kapb
   !$OMP THREADPRIVATE(ric, yun,ydeux,lmixmin,b1,kap,kapb)
-  integer :: iflag_vdif_q2
+  INTEGER :: iflag_vdif_q2
   !$OMP THREADPRIVATE(iflag_vdif_q2)
 
   real, dimension(:), allocatable, save :: l0
   !$OMP THREADPRIVATE(l0)
-  integer :: lunout,prt_level
+  INTEGER :: lunout,prt_level
   !$OMP THREADPRIVATE(lunout,prt_level)
 
@@ -31,5 +31,5 @@
 ! local
   integer, intent(in) :: klon,lunout_in,prt_level_in
-  real :: ric0
+  REAL :: ric0
   real frif,falpha,fsm,ri
 
